Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAMC5

    java.lang.Object
      org.netlib.lapack.DLAMC5

    public class DLAMC5

extends java.lang.Object

    DLAMC5 is a simplified interface to the JLAPACK routine dlamc5.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAMC5 attempts to compute RMAX, the largest machine floating-point
     *  number, without overflow.  It assumes that EMAX + abs(EMIN) sum
     *  approximately to a power of 2.  It will fail on machines where this
     *  assumption does not hold, for example, the Cyber 205 (EMIN = -28625,

     *  EMAX = 28718).  It will also fail if the value supplied for EMIN is
     *  too large (i.e. too close to zero), probably with overflow.
     *
     *  Arguments
     *  =========
     *
     *  BETA    (input) INTEGER
     *          The base of floating-point arithmetic.
     *
     *  P       (input) INTEGER
     *          The number of base BETA digits in the mantissa of a
     *          floating-point value.
     *
     *  EMIN    (input) INTEGER
     *          The minimum exponent before (gradual) underflow.
     *
     *  IEEE    (input) LOGICAL
     *          A logical flag specifying whether or not the arithmetic
     *          system is thought to comply with the IEEE standard.
     *
     *  EMAX    (output) INTEGER
     *          The largest exponent before overflow
     *
     *  RMAX    (output) DOUBLE PRECISION
     *          The largest machine floating-point number.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`DLAMC5()`

Method Summary
`static void` | `DLAMC5(int beta, int p, int emin, boolean ieee, intW emax, doubleW rmax)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAMC5

    public DLAMC5()

Method Detail

### DLAMC5

    public static void DLAMC5(int beta,
                              int p,
                              int emin,
                              boolean ieee,
                              intW emax,
                              doubleW rmax)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD